#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# requires terminal
#
%define		pdir	Term
%define		pnam	ReadKey
Summary:	Term::ReadKey - Perl module for simple terminal control
Summary(pl.UTF-8):	Term::ReadKey - moduł Perla do prostego sterowania terminalem
Name:		perl-Term-ReadKey
Version:	2.38
Release:	6
License:	BSD-like
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Term/%{pdir}%{pnam}-%{version}.tar.gz
# Source0-md5:	b2b4aab7a0e6bddb7ac3b21ba637482c
URL:		https://metacpan.org/dist/TermReadKey
BuildRequires:	perl-ExtUtils-MakeMaker >= 3.5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Obsoletes:	perl-TermReadKey < 2.38
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module, Term::ReadKey, provides ioctl control for terminals so
the input modes can be changed (thus allowing reads of a single
character at a time), and also provides non-blocking reads of stdin,
as well as several other terminal related features, including
retrieval/modification of the screen size, and retrieval/modification
of the control characters.

%description -l pl.UTF-8
Moduł Perla Term::ReadKey udostępnia obsługę ioctl dla terminali,
umożliwiając zmianę trybu wejścia (co pozwala na czytanie po jednym
znaku) oraz nieblokujący odczyt z wejścia, a także inne funkcje
związane z terminalem, w tym odczytywanie i modyfikowanie rozmiaru
ekranu oraz odczytywanie i modyfikowanie znaków kontrolnych.

%description -l pt_BR.UTF-8
Este módulo fornece controle via ioctl para terminais, de tal forma
que seus modos de entrada possam ser modificados (desta forma
permitindo a leitura de um caracter somente por vez) e também fornece
leitura não bloqueantes da entrada padrão (stdin), bem como várias
outras características relacionadas a terminais, entre elas a
recuperação/modificação do tamanho da tela e dos caracteres de
controle.

%prep
%setup -q -n TermReadKey-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{perl_vendorarch}/Term/ReadKey.pm
%dir %{perl_vendorarch}/auto/Term/ReadKey
# empty autosplit.ix
#%%{perl_vendorarch}/auto/Term/ReadKey/autosplit.ix
%attr(755,root,root) %{perl_vendorarch}/auto/Term/ReadKey/ReadKey.so
%{_mandir}/man3/Term::ReadKey.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Term-ReadKey.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> edb5f77
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 8d3c6ae
- perl 5.36.0 rebuild

* Thu Jun 02 2022 Jakub Bogusz <qboosh@pld-linux.org> fd88f95
- versioned Obsoletes

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> b257205
- rebuild with perl 5.34.0

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> d801673
- updated URL and macros

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> 360f716
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 141de23
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 8e1f708
- rebuild with perl 5.30.0
- release 2 (by relup.sh)

* Thu Feb 21 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> 959c3b5
- up to 2.38

* Sat Aug 25 2018 Marcin Krol <hawk@tld-linux.org> 4077eb9
- release 4

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6992bd7
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> d3dfaab
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> 4a6602f
- Up to 2.37

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 8fa0366
- rebuild with perl 5.24.0
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0d14037
- release 2 (by relup.sh)

* Sun Jun 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d35f120
- up to 2.33

* Wed Mar 11 2015 Jakub Bogusz <qboosh@pld-linux.org> ead9cdc
- versioned ExtUtils::MakeMaker BR, no macro in Obsoletes for old package

* Sat Feb 28 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5c6a12a
- up to 2.32

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> ea354ac
- x32 rebuild
- release 5 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> e0ffbec
- x32 rebuild
- release 4 (by relup.sh)

